Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class FuncSubstringAfter

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.Function2Args
                              |
                              +--org.apache.xpath.functions.FuncSubstringAfter

public class FuncSubstringAfter
extends Function2Args

**For advanced use only** Execute the SubstringAfter() function.

See Also:
  Serialized Form

Constructor Summary
`FuncSubstringAfter()`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute the function.

Methods inherited from class org.apache.xpath.functions.Function2Args
`callArgVisitors, canTraverseOutsideSubtree, checkNumberArgs, deepEquals, fixupVariables, getArg1, setArg`

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`getArg0, getExpression, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncSubstringAfter

    public FuncSubstringAfter()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.